Bug 246610 - devel/p5-Test-Most: Update to 0.37
Summary: devel/p5-Test-Most: Update to 0.37
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jun Kuriyama
URL: https://metacpan.org/release/Test-Most
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-05-20 19:03 UTC by Sergei Vyshenski
Modified: 2020-08-15 20:03 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (kuriyama)


Attachments
patch to update the port (1.67 KB, patch)
2020-05-20 19:03 UTC, Sergei Vyshenski
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sergei Vyshenski 2020-05-20 19:03:39 UTC
Created attachment 214698 [details]
patch to update the port

- update 0.35 -> 0.37
Changes: https://metacpan.org/changes/distribution/Test-Most
- request maintainership as Jun Kuriyama is absent for 5+ years, see:
https://svnweb.freebsd.org/ports/head/devel/p5-Test-Most/Makefile?view=log

- "portlint -AC" gives non-relevant warns.
- Tested with:
12.1-RELEASE-p5 amd64
poudriere 3.3.4
perl 5.30.2
pkg 1.14.4
- built-in perl tests in a clean poudriere jail say: PASS.
Comment 1 Automation User 2020-06-04 00:10:07 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/152639640
Comment 2 commit-hook freebsd_committer 2020-08-15 20:02:03 UTC
A commit references this bug:

Author: swills
Date: Sat Aug 15 20:01:38 UTC 2020
New revision: 545062
URL: https://svnweb.freebsd.org/changeset/ports/545062

Log:
  devel/p5-Test-Most: Update to 0.37

  PR:		246610
  Submitted by:	Sergei Vyshenski <svysh.fbsd@gmail.com>
  Approved by:	maintainer timeout (kuriyama, >2 months)

Changes:
  head/devel/p5-Test-Most/Makefile
  head/devel/p5-Test-Most/distinfo
Comment 3 Steve Wills freebsd_committer 2020-08-15 20:03:00 UTC
Committed, thanks!